<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.sing.goods.mapper.GoodsOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="goodsOrderResultMap" type="org.springblade.sing.goods.entity.GoodsOrder">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="point_goods_id" property="pointGoodsId"/>
        <result column="address_id" property="addressId"/>
        <result column="num" property="num"/>
        <result column="help_goods_id" property="helpGoodsId"/>
        <result column="type" property="type"/>
        <result column="goods_status" property="goodsStatus"/>
        <result column="tracking_number" property="trackingNumber"/>
        <result column="tracking_name" property="trackingName"/>
        <result column="shipper_code" property="shipperCode"/>
        <result column="use_point" property="usePoint"/>
        <result column="cash" property="cash"/>
        <result column="address" property="address"/>
        <result column="consignee" property="consignee"/>
        <result column="goods_point" property="goodsPoint"/>
        <result column="phone" property="phone"/>
        <result column="goods_img_url" property="goodsImgUrl"/>
        <result column="goods_name" property="goodsName"/>
    </resultMap>


    <select id="selectGoodsOrderPage" resultMap="goodsOrderResultMap">
        select * from sing_goods_order where is_deleted = 0
    </select>

</mapper>
